API ReferenceOperations

Questa pagina è disponibile solo in inglese.

List operations

GET /rest/v1/operations

GET
/operations

Works with any API key (no scope needed).

AuthorizationBearer <token>

Authorization: Bearer nbl_live_... (or nbl_test_... for test mode). Test-mode writes are validated and simulated but never persisted and never touch channels; simulated results are marked simulated.

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default25
cursor?string
status?string

Value in

  • "pending"
  • "processing"
  • "succeeded"
  • "partial"
  • "failed"
created_after?string
Formatdate-time

Response Body

application/json

curl -X GET "https://example.com/operations"
{  "object": "list",  "has_more": true,  "next_cursor": "string",  "data": [    {      "id": "op_8fd2c1",      "object": "operation",      "type": "string",      "status": "pending",      "resource_type": "string",      "resource_id": "string",      "results": [        {          "channel_account_id": "string",          "product_id": "string",          "listing_id": "string",          "sku": "string",          "variant_id": "string",          "previous_price": "19.90",          "price": "19.90",          "status": "pending",          "error": {            "code": "string",            "message": "string",            "details": {}          }        }      ],      "import": {        "source": "channel",        "channel_account_id": "string",        "filters": {},        "warnings": [          "string"        ],        "processed": 0,        "total": 0,        "created": 0,        "updated": 0,        "unchanged": 0,        "linked": 0,        "not_imported": 0,        "requires_attention": 0,        "error": "string",        "undone_at": "2019-08-24T14:15:22Z",        "undo": {          "removed": 0,          "unlinked": 0,          "kept": {            "live_on_a_channel": 0,            "modified_after_import": 0          }        }      },      "created_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  ]}

Ultimo aggiornamento il 18 ottobre 2026

Serve aiuto?

Scrivici e ti risponde una persona, di solito entro un giorno lavorativo.